Package de.gebit.integrity.dsl

## Interface JavaConstantReference

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `JavaConstantReferenceImpl`

      public interface JavaConstantReference
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Java Constant Reference'.

  The following features are supported:

  - `Type`
  - `Constant`
  See Also:
    `DslPackage.getJavaConstantReference()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.common.types.JvmField` | `getConstant()` | Returns the value of the 'Constant' reference.
    `org.eclipse.xtext.common.types.JvmType` | `getType()` | Returns the value of the 'Type' reference.
    `void` | `setConstant​(org.eclipse.xtext.common.types.JvmField value)` | Sets the value of the '`Constant`' reference.
    `void` | `setType​(org.eclipse.xtext.common.types.JvmType value)` | Sets the value of the '`Type`' reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getType

          org.eclipse.xtext.common.types.JvmType getType()

      Returns the value of the 'Type' reference.
      Returns:
        the value of the 'Type' reference.
      See Also:
        `setType(JvmType)`, `DslPackage.getJavaConstantReference_Type()`

    - #### setType

          void setType​(org.eclipse.xtext.common.types.JvmType value)

      Sets the value of the '`Type`' reference.
      Parameters:
        `value` - the new value of the 'Type' reference.
      See Also:
        `getType()`

    - #### getConstant

          org.eclipse.xtext.common.types.JvmField getConstant()

      Returns the value of the 'Constant' reference.
      Returns:
        the value of the 'Constant' reference.
      See Also:
        `setConstant(JvmField)`, `DslPackage.getJavaConstantReference_Constant()`

    - #### setConstant

          void setConstant​(org.eclipse.xtext.common.types.JvmField value)

      Sets the value of the '`Constant`' reference.
      Parameters:
        `value` - the new value of the 'Constant' reference.
      See Also:
        `getConstant()`